<!--
SPDX-FileCopyrightText: © 2020 Open Networking Foundation <support@opennetworking.org>
SPDX-License-Identifier: Apache-2.0
--!>
# netprep

Prepare a node for network-centric tasks

This currently means using the following tools on Ubuntu 18.04:

* netplan for IP/VLAN assignment
* nftables for Firewall/NAT

## netplan

Documentation: https://netplan.io

Commands:

Apply changes `netplan apply`

List interfaces `networkctl list`

Show interface status `networkctl status`

Get the DHCP lease information for a device: `netplan ip leases eth0`

## nftables

Documentation: http://nftables.org

Useful commands:

List all rules: `nft list ruleset`

List all tables `nft list tables`

Flush rules and load new ones: `nft -f /etc/nftables.conf`

## Requirements

Minimum ansible version: 2.9.5

## Defaults


## Example Playbook

```yaml
- hosts: all
  vars:
    netprep_netplan:
      ethernets:
        eth2:
          dhcp4: false
      vlans:
        vlan10:
          id: 10
          link: eth2
          addresses:
            - "192.168.100.1/24"
  roles:
    - netprep

```

## License and Author

© 2020 Open Networking Foundation <support@opennetworking.org>

License: Apache-2.0
